Package com.google.gwt.user.client.ui

## Class ResizeLayoutPanel.ImplStandard

- java.lang.Object
- - com.google.gwt.user.client.ui.ResizeLayoutPanel.Impl
  - - com.google.gwt.user.client.ui.ResizeLayoutPanel.ImplStandard

- All Implemented Interfaces:
    `EventListener`
  Enclosing class:
    ResizeLayoutPanel

      static class ResizeLayoutPanel.ImplStandard
      extends ResizeLayoutPanel.Impl
      implements EventListener

  Implementation of resize event.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ResizeLayoutPanel.Impl

      `ResizeLayoutPanel.Impl.Delegate`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.ResizeLayoutPanel.Impl

      `isAttached, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImplStandard()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `handleResize()` | Handle a resize event.
    `void` | `init​(Element elem, ResizeLayoutPanel.Impl.Delegate delegate)` | Initialize the implementation.
    `void` | `onAttach()` | Called on attach.
    `void` | `onBrowserEvent​(Event event)` | Fired whenever a browser event is received.
    `void` | `onDetach()` | Called on detach.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImplStandard

          ImplStandard()

  - ### Method Detail

    - #### init

          public void init​(Element elem,
                           ResizeLayoutPanel.Impl.Delegate delegate)

      Description copied from class: `ResizeLayoutPanel.Impl`
      Initialize the implementation.
      Overrides:
        `init` in class `ResizeLayoutPanel.Impl`
      Parameters:
        `elem` - the element to listen for resize
        `delegate` - the `ResizeLayoutPanel.Impl.Delegate` to inform when resize occurs

    - #### onAttach

          public void onAttach()

      Description copied from class: `ResizeLayoutPanel.Impl`
      Called on attach.
      Overrides:
        `onAttach` in class `ResizeLayoutPanel.Impl`

    - #### onBrowserEvent

          public void onBrowserEvent​(Event event)

      Description copied from interface: `EventListener`
      Fired whenever a browser event is received.
      Specified by:
        `onBrowserEvent` in interface `EventListener`
      Parameters:
        `event` - the event received

    - #### onDetach

          public void onDetach()

      Description copied from class: `ResizeLayoutPanel.Impl`
      Called on detach.
      Overrides:
        `onDetach` in class `ResizeLayoutPanel.Impl`

    - #### handleResize

          protected void handleResize()

      Description copied from class: `ResizeLayoutPanel.Impl`
      Handle a resize event.
      Overrides:
        `handleResize` in class `ResizeLayoutPanel.Impl`